      PROGRAM APPROX
C Dedomevou enos ari0mou X upologizei to givomevo X*(1.0/X).
C Dokimase x=0.5 kai x=6.39631
      REAL X,Y,Z
      WRITE(*,*) 'Dwse eva mn mndeviko X'
      READ(*,*) X
      Z = 1.0/X
      Y = X*Z
      WRITE(*,*) 'X =',X,'   Y =',Y
      WRITE(*,*) '1.0 - Y =',1.0 - Y
C Elegxoume av to givomevo eivai 1 kai tupwvoume to katallnlo mnvuma
      IF (Y .EQ. 1.0) THEN
        WRITE(*,*) 'To Y eivai iso me 1.'
      ELSE
        WRITE(*,*) 'To Y eivai diaforo tou 1, logw sfalmatwv', 
     &             ' stroggyleusns'
      ENDIF
      STOP
      END
